Package twisted :: Package internet

[show private | hide private]
[frames | no frames]

## Package twisted.internet

Twisted Internet: Asynchronous I/O and Events.

### Modules

- `abstract`: Support for generic select()able objects.
- `app`: Main `application' configuration and persistence support.
- `base`: Very basic functionality for a Reactor implementation.
- `default`: Default reactor base classes, and a select() based reactor.
- `defer`: Support for results that aren't immediately available.
- `error`: Exceptions and errors for use in twisted.internet modules.
- `fdesc`: Utility functions for dealing with POSIX file descriptors.
- `gtk2reactor`: This module provides support for Twisted to interact with the PyGTK2 mainloop.
- `gtkreactor`: This module provides support for Twisted to interact with the PyGTK mainloop.
- `interfaces`: Interface documentation.
- `javareactor`: A java implementation of a ``select'' loop.
- `kqreactor`: A kqueue()/kevent() based implementation of the Twisted main loop.
- `main`: Backwards compatability, and utility functions.
- `pollreactor`: A poll() based implementation of the twisted main loop.
- `process`: UNIX Process management.
- `protocol`: Standard implementations of Twisted protocol-related interfaces.
- `pyuisupport`: This module integrates PyUI with twisted.internet's mainloop.
- `qtreactor`: This module provides support for Twisted to interact with the PyQt mainloop.
- `serialport`
  - `javaserialport`: Serial Port Protocol
  - `posixserialport`: Serial Port Protocol
  - `serialport`: Serial Port Protocol
  - `win32serialport`: Serial port support for Windows.
- `ssl`: SSL transport.
- `stdio`: Standard input/out/err support.
- `task`: This module is deprecated.
- `tcp`: Various asynchronous TCP/IP classes.
- `threads`: Extended thread dispatching support.
- `tksupport`: This module integrates Tkinter with twisted.internet's mainloop.
- `udp`: Various asynchronous UDP classes.
- `unix`: Various asynchronous TCP/IP classes.
- `utils`: Utility methods.
- `win32eventreactor`: A win32event based implementation of the Twisted main loop.
- `wxsupport`: wxPython support for Twisted.

Variable Summary
`FakeModule` | `javareactor`
`FakeModule` | `kqreactor`
`FakeModule` | `qtreactor`
`SelectReactor` | `reactor`

Variable Details

### javareactor

  Type:
    `FakeModule`
  Value:

        <Fake twisted.internet.javareactor>

### kqreactor

  Type:
    `FakeModule`
  Value:

        <Fake twisted.internet.kqreactor>

### qtreactor

  Type:
    `FakeModule`
  Value:

        <Fake twisted.internet.qtreactor>

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:16:26 2003 | http://epydoc.sf.net